import axios from '../api'

/**
 * API接口
 */
export default {

  getAllList(params) {
    return axios({
      method: "GET",
      url: '/api/admin/waterData/index',
      params: {
        ...params
      }
    })
  },

  import(params) {
    return axios({
      method: "POST",
      url: '/api/admin/waterData/import',
      data: params,
      timeout: 1000000,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  },

  edit(params) {
    return axios({
      method: "POST",
      url: '/api/admin/waterData/edit',
      data: params
    })
  },

  template(params) {
    return axios({
      method: "GET",
      url: '/api/admin/waterData/template',
      data: params
    })
  },

}
